[arch-commits] Commit in python-novaclient/repos (2 files)

Felix Yan felixonmars at archlinux.org
Sat Oct 26 06:50:10 UTC 2019


    Date: Saturday, October 26, 2019 @ 06:50:10
  Author: felixonmars
Revision: 520324

archrelease: copy trunk to community-staging-any

Added:
  python-novaclient/repos/community-staging-any/
  python-novaclient/repos/community-staging-any/PKGBUILD
    (from rev 520323, python-novaclient/trunk/PKGBUILD)

----------+
 PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

Copied: python-novaclient/repos/community-staging-any/PKGBUILD (from rev 520323, python-novaclient/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2019-10-26 06:50:10 UTC (rev 520324)
@@ -0,0 +1,38 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgname=python-novaclient
+pkgver=16.0.0
+pkgrel=2
+pkgdesc="Client library for OpenStack Compute API"
+arch=('any')
+url="https://docs.openstack.org/python-novaclient/latest/"
+license=('Apache')
+depends=('python-six' 'python-pbr' 'python-babel' 'python-prettytable' 'python-keystoneauth1'
+         'python-requests' 'python-iso8601' 'python-oslo-utils' 'python-oslo-i18n'
+         'python-oslo-serialization')
+makedepends=('python-setuptools')
+checkdepends=('python-oslotest' 'python-requests-mock' 'python-ddt')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/openstack/python-novaclient/archive/$pkgver.tar.gz")
+sha512sums=('fdc12c9379016995e27c39f046d68fc193676ff034e9959e2facaa66a4b4734bb9ffd8fd0aa5dd102e999cf0cc74ed239e3ac6280f237d8060b528bd7b835a3e')
+
+export PBR_VERSION=$pkgver
+
+prepare() {
+  sed -i '/simplejson/d' python-novaclient-$pkgver/requirements.txt
+}
+
+build() {
+  cd python-novaclient-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd python-novaclient-$pkgver
+  stestr run || warning "Tests failed"
+}
+
+package() {
+  cd "$srcdir"/python-novaclient-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}



More information about the arch-commits mailing list